### Hierarchy

- unknown
  - NotificationMessage

## Index

### Constructors

- constructor

### Methods

- clearChatMessage
- clearTrade
- getChatMessage
- getId
- getMessage
- getTimestamp
- getTitle
- getTrade
- getType
- hasChatMessage
- hasTrade
- serializeBinary
- setChatMessage
- setId
- setMessage
- setTimestamp
- setTitle
- setTrade
- setType
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new NotificationMessage(): NotificationMessage

- Inherited from jspb.Message.constructor

  #### Returns NotificationMessage

## Methods

### clearChatMessage

- clearChatMessage(): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:702

  #### Returns NotificationMessage

### clearTrade

- clearTrade(): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:697

  #### Returns NotificationMessage

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- - Defined in src/protobuf/grpc_pb.d.ts:699

  #### Returns undefined | ChatMessage

### getId

- getId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:679

  #### Returns string

### getMessage

- getMessage(): string

- - Defined in src/protobuf/grpc_pb.d.ts:691

  #### Returns string

### getTimestamp

- getTimestamp(): number

- - Defined in src/protobuf/grpc_pb.d.ts:685

  #### Returns number

### getTitle

- getTitle(): string

- - Defined in src/protobuf/grpc_pb.d.ts:688

  #### Returns string

### getTrade

- getTrade(): undefined | TradeInfo

- - Defined in src/protobuf/grpc_pb.d.ts:694

  #### Returns undefined | TradeInfo

### getType

- getType(): NotificationType

- - Defined in src/protobuf/grpc_pb.d.ts:682

  #### Returns NotificationType

### hasChatMessage

- hasChatMessage(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:701

  #### Returns boolean

### hasTrade

- hasTrade(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:696

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:704

  #### Returns Uint8Array

### setChatMessage

- setChatMessage(value?: ChatMessage ): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:700

  #### Parameters

  - ##### Optional value: ChatMessage

  #### Returns NotificationMessage

### setId

- setId(value: string): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:680

  #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

### setMessage

- setMessage(value: string): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:692

  #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

### setTimestamp

- setTimestamp(value: number): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:686

  #### Parameters

  - ##### value: number

  #### Returns NotificationMessage

### setTitle

- setTitle(value: string): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:689

  #### Parameters

  - ##### value: string

  #### Returns NotificationMessage

### setTrade

- setTrade(value?: TradeInfo ): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:695

  #### Parameters

  - ##### Optional value: TradeInfo

  #### Returns NotificationMessage

### setType

- setType(value: NotificationType ): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:683

  #### Parameters

  - ##### value: NotificationType

  #### Returns NotificationMessage

### toObject

- toObject(includeInstance?: boolean): NotificationMessage . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:705

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns NotificationMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:708

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NotificationMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NotificationMessage, reader: BinaryReader): NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:709

  #### Parameters

  - ##### message: NotificationMessage

  - ##### reader: BinaryReader

  #### Returns NotificationMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: NotificationMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:707

  #### Parameters

  - ##### message: NotificationMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: NotificationMessage ): NotificationMessage . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:706

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NotificationMessage

  #### Returns NotificationMessage . AsObject

Generated using TypeDoc